net.sf.jasperreports.charts.design

## Class JRDesignItemLabel

- java.lang.Object
- - net.sf.jasperreports.charts.base.JRBaseItemLabel
  - - net.sf.jasperreports.charts.design.JRDesignItemLabel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRItemLabel, JRChangeEventsSupport, JRCloneable

      public class JRDesignItemLabel
      extends JRBaseItemLabel
      implements JRChangeEventsSupport

  An object that specifies how an item label should be displayed. Used with category plots such as a bar or pie plot.
  Version:
    $Id: JRDesignItemLabel.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_BACKGROUND_COLOR`
    `static java.lang.String` | `PROPERTY_COLOR`
    `static java.lang.String` | `PROPERTY_FONT`

    - ### Fields inherited from class net.sf.jasperreports.charts.base.JRBaseItemLabel

      `backgroundColor, chart, color, font`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignItemLabel(JRItemLabel itemLabel, JRChart chart)` Constructs a new item label that is a copy of an existing one.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `void` | `setBackgroundColor(java.awt.Color backgroundColor)` Sets the background color to use when displaying the value.
    `void` | `setColor(java.awt.Color color)` Sets the color to use when displaying the value.
    `void` | `setFont(JRFont font)` Sets the font to use when displaying the value.

    - ### Methods inherited from class net.sf.jasperreports.charts.base.JRBaseItemLabel

      `clone, collectExpressions, getBackgroundColor, getChart, getColor, getFont`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_COLOR

          public static final java.lang.String PROPERTY_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_BACKGROUND_COLOR

          public static final java.lang.String PROPERTY_BACKGROUND_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_FONT

          public static final java.lang.String PROPERTY_FONT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignItemLabel

          public JRDesignItemLabel(JRItemLabel itemLabel,
                           JRChart chart)

      Constructs a new item label that is a copy of an existing one.
      Parameters:
        `itemLabel` - the item label to copy

  - ### Method Detail

    - #### setColor

          public void setColor(java.awt.Color color)

      Sets the color to use when displaying the value.
      Parameters:
        `color` - the color to use when displaying the value

    - #### setBackgroundColor

          public void setBackgroundColor(java.awt.Color backgroundColor)

      Sets the background color to use when displaying the value.
      Parameters:
        `backgroundColor` - the background color to use when displaying the value

    - #### setFont

          public void setFont(JRFont font)

      Sets the font to use when displaying the value.
      Parameters:
        `font` - the font to use when displaying the value

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseItemLabel`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com